View Issue Details

IDProjectCategoryView StatusLast Update
0005087Talermechant backendpublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005087: Smarter /refund tests
DescriptionRigth now the testcase only checks if the HTTP status code is 200 OK, but an
intelligent analysis of the returned object is needed.
TagsNo tags attached.

Relationships

related to 0005104 closedMarcello Stanisci Multi coin payments in testcase 

Activities

Christian Grothoff

2017-06-29 20:05

manager   ~0012283

This should probably be done for 0.4, as good testing of new features should not be delayed.

Marcello Stanisci

2017-07-05 12:20

manager   ~0012305

Implemented at 15ff300. This test will get way smarter with 0005104.

Issue History

Date Modified Username Field Change
2017-06-20 20:21 Marcello Stanisci New Issue
2017-06-20 20:21 Marcello Stanisci Status new => assigned
2017-06-20 20:21 Marcello Stanisci Assigned To => Marcello Stanisci
2017-06-20 20:22 Marcello Stanisci Target Version => 0.6
2017-06-29 20:05 Christian Grothoff Product Version => SVN HEAD
2017-06-29 20:05 Christian Grothoff Target Version 0.6 => 0.4
2017-06-29 20:05 Christian Grothoff Note Added: 0012283
2017-07-04 19:01 Marcello Stanisci Relationship added related to 0005104
2017-07-05 12:20 Marcello Stanisci Status assigned => resolved
2017-07-05 12:20 Marcello Stanisci Resolution open => fixed
2017-07-05 12:20 Marcello Stanisci Note Added: 0012305
2017-10-11 14:13 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed